### Class

# Handy TabPage

since: 1.2

#### Description [src]

    final class Handy.TabPage : GObject.Object
    {
      /* No available fields */
    }

An auxiliary class used by `HdyTabView`.

Available since: 1.2

#### Ancestors

- GObject

#### Instance methods

###### hdy_tab_page_get_child

Gets the child of `self`.

since: 1.2

###### hdy_tab_page_get_icon

Gets the icon of `self`.

since: 1.2

###### hdy_tab_page_get_indicator_activatable

Gets whether the indicator of `self` is activatable.

since: 1.2

###### hdy_tab_page_get_indicator_icon

Gets the indicator icon of `self`.

since: 1.2

###### hdy_tab_page_get_loading

Gets whether `self` is loading.

since: 1.2

###### hdy_tab_page_get_needs_attention

Gets whether `self` needs attention.

since: 1.2

###### hdy_tab_page_get_parent

Gets the parent page of `self`.

since: 1.2

###### hdy_tab_page_get_pinned

Gets whether `self` is pinned.

since: 1.2

###### hdy_tab_page_get_selected

Gets whether `self` is selected.

since: 1.2

###### hdy_tab_page_get_title

Gets the title of `self`.

since: 1.2

###### hdy_tab_page_get_tooltip

Gets the tooltip of `self`.

since: 1.2

###### hdy_tab_page_set_icon

Sets the icon of `self`.

since: 1.2

###### hdy_tab_page_set_indicator_activatable

Sets whether the indicator of `self` is activatable.

since: 1.2

###### hdy_tab_page_set_indicator_icon

Sets the indicator icon of `self`.

since: 1.2

###### hdy_tab_page_set_loading

Sets whether `self` is loading.

since: 1.2

###### hdy_tab_page_set_needs_attention

Sets whether `self` needs attention.

since: 1.2

###### hdy_tab_page_set_title

Sets the title of `self`.

since: 1.2

###### hdy_tab_page_set_tooltip

Sets the tooltip of `self`.

since: 1.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Handy.TabPage:child

The child of the page.

since: 1.2

###### Handy.TabPage:icon

The icon of the page.

since: 1.2

###### Handy.TabPage:indicator-activatable

Whether the indicator icon is activatable.

since: 1.2

###### Handy.TabPage:indicator-icon

An indicator icon for the page.

since: 1.2

###### Handy.TabPage:loading

Whether the page is loading.

since: 1.2

###### Handy.TabPage:needs-attention

Whether the page needs attention.

since: 1.2

###### Handy.TabPage:parent

The parent page of the page.

since: 1.2

###### Handy.TabPage:pinned

Whether the page is pinned.

since: 1.2

###### Handy.TabPage:selected

Whether the page is selected.

since: 1.2

###### Handy.TabPage:title

The title of the page.

since: 1.2

###### Handy.TabPage:tooltip

The tooltip of the page.

since: 1.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandyTabPageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.